/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.servlets.format;

import java.util.*;
import java.io.Writer;
import java.io.IOException;
import com.silverwrist.venice.core.CommunityContext;

public class CommunityAdminTop extends ContentMenuPanel
{
  /*--------------------------------------------------------------------------------
   * Constructors
   *--------------------------------------------------------------------------------
   */

  public CommunityAdminTop()
  {
    super("Community Administration:",null);
    addChoice("Community Profile","sigadmin?sig=$s&cmd=P");
    addChoice("Set Community Category","sigadmin?sig=$s&cmd=T");
    addChoice("Set Community Features","sigadmin?sig=$s&cmd=F");
    addChoice("Membership Control","sigadmin?sig=$s&cmd=M");
    addChoice("Display Audit Records","sigadmin?sig=$s&cmd=A");
    // TODO: More options
    addChoice("Delete Community","sigadmin?sig=$s&cmd=DEL");

  } // end constructor

  protected CommunityAdminTop(CommunityAdminTop other)
  {
    super(other);

  } // end constructor

  /*--------------------------------------------------------------------------------
   * External operations
   *--------------------------------------------------------------------------------
   */

  public void setCommunity(CommunityContext comm)
  {
    setSubtitle(comm.getName());
    setParameter("s",String.valueOf(comm.getCommunityID()));

  } // end setCommunity

  public Object clone()
  {
    return new CommunityAdminTop(this);

  } // end clone

} // end class CommunityAdminTop
